TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

IsMaximal ( ord^fun O ) -> elt-alg^boo

### Description

<shortdoc> True iff the order O is maximal in its field of fractions. </shortdoc>

### Examples

x_gf3 := FiniteField(3);; x_gf3x := PolynomialAlgebra(x_gf3);; x_gf3xy := PolynomialAlgebra(x_gf3x);; x_f := x_gf3xy.1^2+1;; x_F := FunctionField(x_f);; x_O := EquationOrderFinite(x_F); IsMaximal(x_O);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack